> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/she-bei.md).

# 设备

提供设备的区域设置·OS、相册·相机·联系人·位置、触觉反馈、打开 URL 功能。

### API 列表

| API                        | 说明                       | 详情                                                                                                     |
| -------------------------- | ------------------------ | ------------------------------------------------------------------------------------------------------ |
| `Device.locale`            | 这是用户区域设置信息               | [locale](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.locale.md)                       |
| `Device.os`                | 当前平台(`ios`/`android`) 信息 | [os](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.os.md)                               |
| `Device.getPhotos`         | 从相册中获取照片列表               | [getPhotos](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.getphotos.md)                 |
| `Device.getContacts`       | 按页获取联系人列表                | [getContacts](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.getcontacts.md)             |
| `Device.getLocation`       | 获取设备的当前位置资讯              | [getLocation](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.getlocation.md)             |
| `Device.openCamera`        | 启动相机并返回拍摄的图像             | [openCamera](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.opencamera.md)               |
| `Device.getAlbumItems`     | 从相册中选择并获取照片·视频           | [getAlbumItems](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.getalbumitems.md)         |
| `Device.triggerHaptic`     | 在设备上触发触觉振动               | [triggerHaptic](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.triggerhaptic.md)         |
| `Device.subscribeLocation` | 持续检测位置变化并执行回调            | [subscribeLocation](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.subscribelocation.md) |
| `Device.openURL`           | 在设备的默认浏览器或相关应用中打开指定的 URL | [openURL](/documentation/api-and-sdk-zh/sdk/domains-api/she-bei/device.openurl.md)                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/she-bei.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
